> For the complete documentation index, see [llms.txt](https://developer.sahamati.org.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.sahamati.org.in/sahamatinet-agent-sna/sla/api-reference/endpoints-and-authentication.md).

# Endpoints & Authentication

SNA pushes data to a Sahamati-hosted HTTPS endpoint. Sahamati provides two variants of this endpoint, one for UAT (for testing your integration) and one for Production.

### SLA Push Endpoints

| Environment | Endpoint URL                                            |
| ----------- | ------------------------------------------------------- |
| Production  | <https://api.sahamati.org.in/sla-inputs/aa/v1/push>     |
| UAT         | <https://api.uat.sahamati.org.in/sla-inputs/aa/v1/push> |

### Authentication

The SLA push endpoint uses token-based authentication. The authentication token will be generated by SNA and stored securely. As part of the SNA deployments the admin will have to configure the entityId and the secret as a Kubernetes secret file for the SNA to generate the token. SNA handles the token injection into request headers automatically.

> 📌 Authentication credentials are issued per AA by Sahamati. Tokens must be stored securely in your cluster and must not be committed to version control.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.sahamati.org.in/sahamatinet-agent-sna/sla/api-reference/endpoints-and-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
